import 'package:sharing/remote/local/shared_prefers_helper.dart';
import 'package:sharing/remote/model/application_config.dart';

class Sharing {
  static void initLocal(
      {required domainUrl,
      required imageUrl,
      required String? primaryColor,
      required String? primarySecondColor,
      required String? buttonColor,
      required String? secondColor,
      required String? logo,
      String? fontName}) async {
    await SharedPrefsHelper().initialize();
    if (prefsHelper.getThemeChange() == false) {
      prefsHelper.setApplicationConfig(
          applicationConfig: ApplicationConfig(
              begin: [0.0, -1.0],
              end: [0.0, 1.0],
              primaryColor: primaryColor,
              primarySecondColor: primarySecondColor,
              multi_color: true,
              btn_color: buttonColor,
              logo: logo,
              isTechnical: false));
    }
    prefsHelper.setDomainUrl(domainUrl);
    prefsHelper.setImageUrl(imageUrl);
    prefsHelper.setFontName(fontName);
  }

  static void updateTheme({required ApplicationConfig? applicationConfig}) {
    prefsHelper.setApplicationConfig(applicationConfig: applicationConfig);
  }
}
